using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using BoyunBase;
using SiteCore;

public partial class Part_OnlineGTalk : System.Web.UI.UserControl
{
    protected void Page_Load( object sender, EventArgs e )
    {
        try {
            if( IsPostBack ) return;

            PartAccess pAcs = new PartAccess( this );
            if( !pAcs.IsReady ) return;

            string gTalkAccount = pAcs.Settings["gTalkAccount"];
            string pt = pAcs.Parames["partTemplate"];

            lnkIM.HRef = "gtalk:chat?jid=" + gTalkAccount; ;    // GTalk 临时会话代码
            imgIM.Src = "image/" + pt + ".png";     // "http://www.mynet.cn/~/plugin/onlineim/res/" + pt;

        } catch( Exception ex ) {
            Todo.DebugOut( "加载 Part_OnlineGTalk 出现异常：" + ex.Message );
        }
    }
}
